<?php
class Artikel extends Angebot
{
    public /*float*/ $price;

    public function __construct()
    {
        parent::__construct();
    }

    public function RemoteProcedureCall($prefix, $str)
    {
        if(parent::RemoteProcedureCall($prefix, $str))
            return true;
        return false;
    }

    public function fromXml(&$xml)
    {
        parent::fromXml($xml);
        $this->price = floatval((string)($xml['price']));
    }

    public function toXml(&$xml)
    {
        parent::toXml($xml);
        $xml->addAttribute("price", $this->price);
    }

    public function htmlView($indent, $divid)
    {
        if($divid != null)
        {
            echo str_repeat('  ', $indent) . "<div class='composed'><div class='Artikel' id='$divid'>";
            echo "<div class='caption'>$divid</div>\n";
        }
        parent::htmlView($indent, null);
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='float' id='price'><div class='caption'>price</div>" . $this->price . "</div></div>\n";
        if($divid != null)
            echo str_repeat('  ', $indent) . "</div></div>\n";
    }

    public function htmlForm($prefix, $indent, $divid)
    {
        if($divid != null)
        {
            echo str_repeat('  ', $indent) . "<div class='composed'><div class='Artikel' id='$divid'>\n";
            echo str_repeat('  ', $indent+1) . "<div class='caption'>$divid</div>\n";
        }
        parent::htmlForm($prefix, $indent, null);
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='float' id='price'><div class='caption'>price</div><input type=\"text\" name=\"" . $prefix . "[price]\" value=\"" . $this->price . "\"/></div></div>\n";
        if($divid != null)
            echo str_repeat('  ', $indent) . "</div></div>\n";
    }

    public function fromHttpPost(&$post)
    {
        parent::fromHttpPost($post);
        $this->price = floatval($post['price']);
    }
}
?>