<?php
class User extends Object
{
    public $username;
    public $displayname;
    public $email;

    public $passwordHash;

    public function __construct()
    {
        parent::__construct();
    }

    public static function load($root, $username)
    {
        $filename = $root . 'accounts/' . $username . '.xml';
        $xml = simplexml_load_file($filename);
        $objectid = intval($xml['id']);
        $result = Object::load($root, $objectid);
    }

    public function toXml(&$xml)
    {
        parent::toXml($xml);
        $xml->addAttribute('username', $this->username);
        $xml->addAttribute('displayname', $this->displayname);
        $xml->addAttribute('email', $this->email);
        $xml->addAttribute('passwordHash', $this->passwordHash);
    }

    public function fromXml(&$xml)
    {
        parent::fromXml($xml);
        $this->username = (string)($xml['username']);
        $this->displayname = (string)($xml['displayname']);
        $this->email = (string)($xml['email']);
        $this->passwordHash = (string)($xml['passwordHash']);
    }
}
?>